Subject: bug#50895: 28.0.50; show-paren-mode is distracting in some modes

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 29 Sep 2021 20:01:51 +0200

Jim Porter <[email-masked]> writes:

> Perhaps something akin to `font-lock-global-modes'? The help text for
> that says:
>
>> If nil, means no modes have Font Lock mode automatically turned on.
>> If t, all modes that support Font Lock mode have it automatically turned on.
>> If a list, it should be a list of ‘major-mode’ symbol names for
>> which Font Lock
>> mode should be automatically turned on.  The sense of the list is
>> negated if it
>> begins with ‘not’.

Ah, right -- I thought I remembered that we had some kind of
functionality for minor modes like this, but couldn't remember the
specifics.

> Then the default value for `show-paren-global-modes' could be
> `(prog-mode)' or `(prog-mode text-mode)', or even `(not
> special-mode)', depending on one's opinions about whether
> `show-paren-mode' makes sense for prose. That would cover both this
> bug as well as providing an easy way for users to customize the major
> modes where `show-paren-mode' is enabled (this is already possible
> with `show-paren-local-mode', but it'd be a bit simpler with
> `show-paren-global-modes').

Yes, that makes sense to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no